package com.pj.tb_import_goods;

import java.util.List;
import com.pj.utils.so.SoMap;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;
import com.baomidou.mybatisplus.extension.service.IService;
import com.baomidou.mybatisplus.extension.service.impl.ServiceImpl;
import org.springframework.transaction.annotation.Transactional;
import com.pj.utils.sg.*;

/**
 * Service: tb_import_goods -- 进口申报单商品信息
 * @author lbl 
 */
@Service
@Transactional(rollbackFor = Exception.class)
public class TbImportGoodsService extends ServiceImpl<TbImportGoodsMapper, TbImportGoods> implements IService<TbImportGoods>{

	/** 底层 Mapper 对象 */
	@Autowired
	TbImportGoodsMapper tbImportGoodsMapper;

	/** 增 */
	void add(TbImportGoods t){
		save(t);
	}

	/** 删 */
	void delete(Long id){
		removeById(id);
	}

	/** 改 */
	void update(TbImportGoods t){
		updateById(t);

	}

	/** 查 */
	TbImportGoods getById(Long id){
		return super.getById(id);
	}

	/** 查集合 - 根据条件（参数为空时代表忽略指定条件） */  
	List<TbImportGoods> getList(SoMap so) { 
		return tbImportGoodsMapper.getList(so);	
	}
	

}
